=== removed file 'Do/Do.exe.config.in'
--- Do/Do.exe.config.in	2008-04-27 01:12:26 +0000
+++ Do/Do.exe.config.in	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
-<configuration>
-	<dllmap dll="libc" target="libc.so.6"/>
-	<dllmap dll="libdo" target="@expanded_libdir@/@PACKAGE@/libdo.so"/>
-</configuration>

=== modified file 'Do/src/Do.Core/Controller.cs'
--- Do/src/Do.Core/Controller.cs	2009-07-23 07:17:00 +0000
+++ Do/src/Do.Core/Controller.cs	2009-07-23 09:14:01 +0000
@@ -115,7 +115,7 @@
 				OnCopyEvent));
 			Services.Keybinder.RegisterKeyBinding (new KeyBinding (Catalog.GetString ("Paste Current Text"), "<Control>v",
 				OnPasteEvent));
-			Services.Keybinder.RegisterKeyBinding (new KeyBinding (Catalog.GetString ("Previous Pane"), "ISO_Left_Tab",
+			Services.Keybinder.RegisterKeyBinding (new KeyBinding (Catalog.GetString ("Previous Pane"), "<Shift>Tab",
 				OnPreviousPanePressEvent));
 			Services.Keybinder.RegisterKeyBinding (new KeyBinding (Catalog.GetString ("Next Pane"), "Tab",
 				OnNextPanePressEvent));
@@ -699,7 +699,14 @@
 			if ((evnt.State & ModifierType.Mod1Mask) != 0) {
 				modifier += "<Alt>";
 			}
-			return modifier + evnt.Key.ToString ();
+			if ((evnt.State & ModifierType.ShiftMask) != 0) {
+				modifier += "<Shift>";
+				//if we're pressing shift, and the key is ISO_Left_Tab,
+				//just make it Tab
+				if (evnt.Key == Key.ISO_Left_Tab)
+					return string.Format ("{0}{1}", modifier, Key.Tab);
+			}
+			return string.Format ("{0}{1}", modifier, evnt.Key.ToString ());
 		}
 #endregion
 		

=== modified file 'Do/src/Do.UI/KeybindingTreeView.cs'
--- Do/src/Do.UI/KeybindingTreeView.cs	2009-07-23 07:17:00 +0000
+++ Do/src/Do.UI/KeybindingTreeView.cs	2009-07-23 09:14:01 +0000
@@ -110,6 +110,14 @@
 			
 			string realKey = Gtk.Accelerator.Name (args.AccelKey, args.AccelMods);
 			
+			if (args.AccelKey == (uint) Gdk.Key.Super_L) {
+				//setting CellRenderAccelMode to "Other" ignores the Super key as a modifier
+				//this prevents us from grabbing _only_ the Super key.
+				return;
+			}
+			
+			Console.WriteLine ("key: {0}, mods: {1}", args.AccelKey, args.AccelMods);
+			
 			// Look for any other rows that have the same binding and then zero that binding out
 			Model.Foreach ((model, path, treeiter) => ClearPreviousBinding (model, path, treeiter, realKey));
 

=== modified file 'configure.ac'
--- configure.ac	2009-07-23 07:17:00 +0000
+++ configure.ac	2009-07-23 09:14:01 +0000
@@ -134,7 +134,6 @@
 
 AC_CONFIG_FILES([
 BundledLibraries/Makefile
-Do/Do.exe.config
 Do/Makefile
 Do/gnome-do
 Do/src/AssemblyInfo.cs

